org.apache.tinkerpop.gremlin.structure.io.binary.types

## Class ByteBufferSerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.binary.types.SimpleTypeSerializer<ByteBuffer>
  - - org.apache.tinkerpop.gremlin.structure.io.binary.types.ByteBufferSerializer

- All Implemented Interfaces:
    TypeSerializer<ByteBuffer>

      public class ByteBufferSerializer
      extends SimpleTypeSerializer<ByteBuffer>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteBufferSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ByteBuffer` | `readValue(Buffer buffer, GraphBinaryReader context)` Reads a non-nullable value according to the type format.
    `protected void` | `writeValue(ByteBuffer value, Buffer buffer, GraphBinaryWriter context)` Writes a non-nullable value into a buffer using the provided allocator.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.io.binary.types.SimpleTypeSerializer

      `getDataType, read, readValue, write, writeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteBufferSerializer

          public ByteBufferSerializer()

  - ### Method Detail

    - #### readValue

          protected ByteBuffer readValue(Buffer buffer,
                                         GraphBinaryReader context)
                                  throws IOException

      Description copied from class: `SimpleTypeSerializer`
      Reads a non-nullable value according to the type format.
      Specified by:
        `readValue` in class `SimpleTypeSerializer<ByteBuffer>`
      Parameters:
        `buffer` - A buffer which reader index has been set to the beginning of the {value}.
        `context` - The binary writer.
      Returns:
      Throws:
        `IOException`

    - #### writeValue

          protected void writeValue(ByteBuffer value,
                                    Buffer buffer,
                                    GraphBinaryWriter context)
                             throws IOException

      Description copied from class: `SimpleTypeSerializer`
      Writes a non-nullable value into a buffer using the provided allocator.
      Specified by:
        `writeValue` in class `SimpleTypeSerializer<ByteBuffer>`
      Parameters:
        `value` - A non-nullable value.
        `buffer` - The buffer allocator to use.
        `context` - The binary writer.
      Throws:
        `IOException`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.